ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.Spawnable = true
ENT.AdminSpawnable = false
ENT.PrintName = "Ölfass"
ENT.Category = "Ölraffinerie"
ENT.Model = Model("models/zerochain/props_oilrush/zor_barrel.mdl")
ENT.AutomaticFrameAdvance = true

function ENT:SetupDataTables()
	self:NetworkVar("Entity", 0, "owning_ent")
	self:NetworkVar("Float", 0, "Oil")
	self:NetworkVar("Float", 1, "Fuel")
	self:NetworkVar("Int", 0, "FuelTypeID")

	if (SERVER) then
		self:SetFuelTypeID(0)
		self:SetOil(0)
		self:SetFuel(0)
	end
end

function ENT:PhysgunPickup(ply)
	if self.PhysgunDisabled then return end
	return ply:IsAdmin()
end

function ENT:CanTool(ply, trace, mode)
	return mode == "remover" and ply:IsAdmin()
end